ServletContextAttributeEvent (Servlet API Documentation)
Keywords: javax.servlet.ServletContextAttributeEvent class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet
Class ServletContextAttributeEvent

    java.lang.Object
      java.util.EventObject
          javax.servlet.ServletContextEvent
              javax.servlet.ServletContextAttributeEvent

All Implemented Interfaces:
  java.io.Serializable

public class ServletContextAttributeEvent
extends ServletContextEvent

This is the event class for notifications about changes to the attributes of the servlet context of a web application.

Since:
  v 2.3
See Also:
  `ServletContextAttributeListener`, Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ServletContextAttributeEvent(ServletContext source, java.lang.String name, java.lang.Object value)` Construct a ServletContextAttributeEvent from the given context for the given attribute name and attribute value.

Method Summary
`java.lang.String` | `getName()` Return the name of the attribute that changed on the ServletContext.
`java.lang.Object` | `getValue()` Returns the value of the attribute that has been added, removed, or replaced.

Methods inherited from class javax.servlet.ServletContextEvent
`getServletContext`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServletContextAttributeEvent

    public ServletContextAttributeEvent(ServletContext source,
                                        java.lang.String name,
                                        java.lang.Object value)

  Construct a ServletContextAttributeEvent from the given context for the given attribute name and attribute value.

Method Detail

### getName

    public java.lang.String getName()

  Return the name of the attribute that changed on the ServletContext.

### getValue

    public java.lang.Object getValue()

  Returns the value of the attribute that has been added, removed, or replaced. If the attribute was added, this is the value of the attribute. If the attribute was removed, this is the value of the removed attribute. If the attribute was replaced, this is the old value of the attribute.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2012 The Apache Software Foundation. All Rights Reserved.